APIs / Trade Me Property / Search Rent
Trade Me Property: Search Rent
Search Rent from Trade Me Property as JSON. 1 credit per successful call.
GET /v1/trademe-property/search-rent
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
page | integer | Optional | Any |
rows | integer | Optional | Any |
price_min | integer | Optional | Any |
price_max | integer | Optional | Any |
bedrooms_min | integer | Optional | Any |
bedrooms_max | integer | Optional | Any |
bathrooms_min | integer | Optional | Any |
property_type | string | Optional | Any |
region | integer | Optional | Any |
district | integer | Optional | Any |
suburb | string | Optional | Any |
search_string | string | Optional | Up to 100 characters |
sort_order | string | Optional | Default, PriceAsc, PriceDesc, ExpiryDesc, EarliestOpenHome |
pets_ok | boolean | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/trademe-property/search-rent?page=1&rows=2" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.